Bug 464252 - Second logon to jabberd server by a user hangs
Second logon to jabberd server by a user hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jabberd (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 17:30 EDT by Harold Pritchett
Modified: 2008-12-07 09:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-07 09:24:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "grep jabber /var/log/messages" (4.67 KB, text/plain)
2008-09-26 17:30 EDT, Harold Pritchett
no flags Details
xml log of good connection (7.01 KB, text/plain)
2008-09-28 21:05 EDT, Harold Pritchett
no flags Details
xml log of failed connection (2.17 KB, text/plain)
2008-09-28 21:06 EDT, Harold Pritchett
no flags Details

  None (edit)
Description Harold Pritchett 2008-09-26 17:30:56 EDT
Created attachment 317839 [details]
output of "grep jabber /var/log/messages"

Description of problem:

There appears to be a bug in the Jabber server which it manifests itself as a given user ID can log on to the server, possibly do things, then log off.  A second attempt to log on hangs.  The hang is only fixed by stopping and restarting the server code on the server.

It does not appear to be dependent upon the multi-user conferencing facility.  Just logging on and off will trigger the problem

Version-Release number of selected component (if applicable):

jabberd-2.0-0.s11.15.fc8

How reproducible:

Happens every time (as near as we can tell)

Steps to Reproduce:
1.  Log on to the server
2.  Log off from the server
3.  Attempt to log on a second time - logon hangs
  
Actual results:


Expected results:


Additional info:

Output of uname -a
"Linux lists.calconnect.org 2.6.26.3-14.fc8 #1 SMP Wed Sep 3 03:17:52 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux"

Please advise me if additional information is needed.
Comment 1 Harold Pritchett 2008-09-28 21:05:28 EDT
Created attachment 317905 [details]
xml log of good connection

This as the xml connection log as recorded by the gajim client of a connection which succeeded.  The user was able to successfully log on to the server.
Comment 2 Harold Pritchett 2008-09-28 21:06:56 EDT
Created attachment 317906 [details]
xml log of failed connection

This is an xml log a second connection attempt which hangs.  As before, the xml was captured using the xml console of the gajim jabber client.
Comment 3 Adrian Reber 2008-10-08 06:11:13 EDT
I have no problems using jabberd on F8 for a very long time.

The jabberd version in F8 is very old. I am currently in the process of updating the F9/F10 version to 2.2.4. Maybe it would be a good idea to switch to that version for you?
Comment 4 Bug Zapper 2008-11-26 06:11:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Harold Pritchett 2008-12-07 09:24:14 EST
System no longer running jabberd.  In the process of replacing it with a new system running RHLE 5.2 and a different jabber server (openfire).

Note You need to log in before you can comment on or make changes to this bug.